###Cordova Plugin: Custom Keyboards For iOS###

####Descriptio####

This plugin for open any native iOS keyboard in cordova app.

There is no way to completely replace original keyboard. :-(  
Under hood this plugin just create <del>in</del>visible native input and open keyboard for it. You just get callback when text changed.

####Installation####

    cordova plugin add cordova-plugin-for-ios-custom-keyboard

####Methods####

- CustomKeyboard.open(startedValue, keyboardType, changedCb, finishedCb);
- CustomKeyboard.change(newValue);

####Available keyboards:####

- 1 =  UIKeyboardTypeDefault;
- 2 =  UIKeyboardTypeASCIICapable;
- 3 =  UIKeyboardTypeNumbersAndPunctuation;
- 4 =  UIKeyboardTypeURL;
- 5 =  UIKeyboardTypeNumberPad;
- 6 =  UIKeyboardTypePhonePad;
- 7 =  UIKeyboardTypeNamePhonePad;
- 8 =  UIKeyboardTypeEmailAddress;
- 9 =  UIKeyboardTypeDecimalPad;
- 10 =  UIKeyboardTypeTwitter;
- 11 =  UIKeyboardTypeWebSearch;
- 12 =  UIKeyboardTypeAlphabet;
- 13 =  PassWordType;

####Quick Example ( for ionic ) ####

   	 declare var window:any;

	 window.CustomKeyboard.open(document.getElementById('decimal').value, 9, function (value) {
	   	 //fired every time when value changed
	     document.getElementById('decimal').value = value;
	   }, function (value) {
		//fired once when user finished editing
	     alert('Editing ended with ' + value);
	   })

####Supported Platforms####

- iOS

####License####

MIT
